ps_searchfuncs_s Struct Reference

V-table for search algorithm. More...

`#include <pocketsphinx_internal.h>`

## Data Fields

int(* | start )(ps_search_t *search)
int(* | step )(ps_search_t *search, int frame_idx)
int(* | finish )(ps_search_t *search)
int(* | reinit )(ps_search_t *search, dict_t *dict, dict2pid_t *d2p)
void(* | free )(ps_search_t *search)
ps_lattice_t *(* | lattice )(ps_search_t *search)
char const *(* | hyp )(ps_search_t *search, int32 *out_score)
int32(* | prob )(ps_search_t *search)
ps_seg_t *(* | seg_iter )(ps_search_t *search)

## Detailed Description

V-table for search algorithm.

Definition at line 82 of file pocketsphinx_internal.h.

## Field Documentation

## finish

int(* ps_searchfuncs_s::finish) (ps_search_t *search)

Definition at line 85 of file pocketsphinx_internal.h.

## free

void(* ps_searchfuncs_s::free) (ps_search_t *search)

Definition at line 87 of file pocketsphinx_internal.h.

## hyp

char const *(* ps_searchfuncs_s::hyp) (ps_search_t *search, int32 *out_score)

Definition at line 90 of file pocketsphinx_internal.h.

## lattice

ps_lattice_t *(* ps_searchfuncs_s::lattice) (ps_search_t *search)

Definition at line 89 of file pocketsphinx_internal.h.

## prob

int32(* ps_searchfuncs_s::prob) (ps_search_t *search)

Definition at line 91 of file pocketsphinx_internal.h.

## reinit

int(* ps_searchfuncs_s::reinit) (ps_search_t *search, dict_t *dict, dict2pid_t *d2p)

Definition at line 86 of file pocketsphinx_internal.h.

## seg_iter

ps_seg_t *(* ps_searchfuncs_s::seg_iter) (ps_search_t *search)

Definition at line 92 of file pocketsphinx_internal.h.

## start

int(* ps_searchfuncs_s::start) (ps_search_t *search)

Definition at line 83 of file pocketsphinx_internal.h.

## step

int(* ps_searchfuncs_s::step) (ps_search_t *search, int frame_idx)

Definition at line 84 of file pocketsphinx_internal.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/pocketsphinx_internal.h